# Add-RASCriteriaDevice

### NAME

Add-RASCriteriaDevice\ <br>

### SYNOPSIS

Adds a Client Device to the Criteria Device List.\ <br>

### SYNTAX

Add-RASCriteriaDevice \[-DefObjType] {MFA} \[\[-SiteId] *\<uint>*] -ClientDeviceName *\<string>* \[*\<CommonParameters>*]\
\
Add-RASCriteriaDevice \[-Id] *\<uint>* -ClientDeviceName *\<string>* -ObjType {ClientPolicy | PubItem | MFA | LogonHours} \[-RuleId *\<uint>*] \[*\<CommonParameters>*]\
\
Add-RASCriteriaDevice \[-InputObject] *\<RASListObj>* -ClientDeviceName *\<string>* \[-RuleId *\<uint>*] \[*\<CommonParameters>*]\
\
Add-RASCriteriaDevice \[-Name] *\<string>* \[\[-SiteId] *\<uint>*] -ClientDeviceName *\<string>* -ObjType {ClientPolicy | PubItem | MFA | LogonHours} \[-RuleId *\<uint>*] \[*\<CommonParameters>*]\ <br>

### DESCRIPTION

Adds a Client Device to the Criteria Device List within the Criteria settings of a ClientPolicy, MFA or PubItem.\ <br>

### PARAMETERS

\
-**ClientDeviceName \<string>**\
The name of the client device to add to the Criteria.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Name \<string>**\
The name or server for which to modify the Criteria settings.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID for which to modify the Criteria settings.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of a server for which to modify the Criteria settings.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject \<RASListObj>**\
An object of type ClientPolicy, PubItem or MFA for which to modify the Criteria settings.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ObjType \<CriteriaObjType>**\
The Object Type for which to modify the Criteria settings.\
\
Possible values: ClientPolicy, PubItem, MFA, LogonHours\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**DefObjType \<CriteriaDefObjType>**\
The Default Object Type for which to modify the Criteria settings.\
\
Possible values: MFA\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**RuleId \<uint>**\
The ID of the Rule to modify.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Add-RASCriteriaDevice -Id 1 -ObjType LogonHours -ClientDeviceName "Device1"\
\
Adds the Device specified by Name to the Criteria Device List within the Criteria Settings of the specified Logon Hours by ID.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Add-RASCriteriaDevice -Name "Logon1" -ObjType LogonHours -ClientDeviceName "Device1"\
\
Adds the Device specified by Name to the Criteria Device List within the Criteria Settings of the specified Logon Hours by Name.\ <br>

### RELATED LINKS

* [Get-RASCriteria](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASCriteria.html)
* [Set-RASCriteria](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASCriteria.html)
* [Get-RASCriteriaDevice](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASCriteriaDevice.html)
* [Remove-RASCriteriaDevice](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASCriteriaDevice.html)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/add-rascriteriadevice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
